Skip to main content
GET
Get Carts

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Query Parameters

patient_id
string | null

Filter by patient ID

creator_id
string | null

Filter by creator ID

statuses
enum<string>[] | null

Filter by cart statuses

Status of a patient cart.

Available options:
DRAFT,
ABANDONED,
ACCEPTED,
REJECTED,
CONVERTED,
EXPIRED
page
integer
default:1

Page number

Required range: x >= 1
size
integer
default:20

Page size

Required range: 1 <= x <= 100
sort_by
string | null

Sort by field

sort_direction
string | null

Sort direction (asc/desc)

search
string | null

Search across patient name, cart ID, patient ID, creator name, status, and item names

Response

Successful Response

data
CartSummary · object[]
required
total
integer
required